#include <vector>
using namespace std;
vector<int> getVisionPattern1d()
{
    return {1, 2, 1, 3, 1, 1, 2};
}
int getMove1d(vector<int> v)
{
    int mid = v.size() / 2;
    if(v[mid] == 1)
    {
        for(int i = 0; i < v.size(); i++)
            if(v[i] == 2 || v[i] == 3)
                return i;
    }
    if(v[mid] == 2)
    {
        for(int i = 0; i < v.size(); i++)
            if(v[i] == 3)
                return i;
        for(int i = 0; i < v.size(); i++)
            if(v[i] == 2 && i != mid)
                return i;
    }
    if(v[mid] == 3)
    {
        if(v[0] == 1)
            return (v.size() - 1);
        else
            return 0;
    }
}
std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
